Subject: Re: bug#19322: 25.0.50; 1.6Mb one line file chocks Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Dec 2014 05:48:40 +0200

> From: Vitalie Spinu <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 09 Dec 2014 15:58:36 -0800
> 
> I have 16GB of RAM and 10GB of Swap. When emacs is stuck it blink
> periodically about every 2 seconds as if throwing an error and system
> RAM usage goes up and down by about 6GB or so with the same periodicity.
> 
> With "--enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1", the
> backtrace is:
>    
>    (gdb) break memory_full
>    Breakpoint 1 at 0x60dc1d: file alloc.c, line 3784.
>    (gdb) run
>    Starting program: /home/vitoshka/bin/emacs/src/emacs
>    [Thread debugging using libthread_db enabled]
>    Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
>    [New Thread 0x7fffe8d65700 (LWP 6289)]
>    
>    ** (emacs:6285): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-wgMsBj3J4m: Connection refused
>    [New Thread 0x7fffe3dc3700 (LWP 6290)]
>    [New Thread 0x7fffe3068700 (LWP 6293)]
>    
>    Breakpoint 1, memory_full (nbytes=14854559328) at alloc.c:3784
>    3784      bool enough_free_memory = 0;
>    (gdb)
>    (gdb) backtrace
>    #0  memory_full (nbytes=14854559328) at alloc.c:3784
>    #1  0x00000000006099ce in xrealloc (block=0x7ffba0368010, size=14854559328) at alloc.c:776

This says Emacs asked for about 14GB of memory, which was rejected.
Any idea why, since you have 26GB of memory?

Also, when did you last synchronize with the repository?  Lately, I
pushed a change that should have reduced the memory Emacs asks in this
case by a factor of 3 on 64-bit hosts.

Anyway, this is indeed the same problem I saw on my system.

> Hope it's helpful, 

It is, thanks.